---
inputType: CA10__CaAzureVmScaleSetInstance__c
importExtracts:
  - file: /types/CA10__CaAzureVmScaleSetInstance__c/breeze.extracts.yaml
testData:
  - file: ../test-data-ca10.json
conditions:
  - status: INCOMPLIANT
    currentStateMessage: Instance never had breeze agent installed
    remediationMessage: Install breeze agent on the instance
    check:
      IS_EMPTY:
        arg:
          EXTRACT: breezeLastUpdate
  - status: INCOMPLIANT
    currentStateMessage: Instance latest breeze report was more than a day ago
    remediationMessage: Re-install breeze agent on the instance and make sure it is reporting
    check:
      IS_BEYOND_LAST_DAYS:
        offsetDays: 1
        arg:
          EXTRACT: breezeLastUpdate
otherwise:
  status: COMPLIANT
  currentStateMessage: Instance has breeze agent installed and has a recent report
